import ru.ifmo.validate.ValidatingScanner;
import ru.ifmo.validate.Validator;
import ru.ifmo.validate.ValidatorFramework;

/**
 * @author Georgiy Korneev (kgeorgiy@kgeorgiy.info)
 */
public class Validate implements Validator {
    @Override
    public void validate(final ValidatingScanner in) {
        in.nextInt("x", 0, (1 << 16) - 1);
        in.eoln();
        in.close();
    }

    public static void main(final String[] args) throws Exception {
        ClassLoader.getSystemClassLoader().setDefaultAssertionStatus(true);
        ValidatorFramework.main(args);
    }
}
