#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <map>
#include <set>

using namespace std;

// #define int long long
typedef long long ll;
typedef long double ld;

int n = (1 << 12);

void fill_bad(vector<int> &ans, int curr) {
    ans[curr] = 2 * 16 + 5;
    ans[curr + 1] = (n - 1) * 16;
    ans[curr + 2] = (n - 1);
}

void solve() {
    int x;
    cin >> x;
    vector<int> ans(n);
    int curr = 0;
    for (int i = 0; i < 16; ++i) {
        ans[curr] = (n - 1) * 16 + i;
        ans[curr + 1] = (curr + 2) * 16 + 11;
        ans[curr + 2] = curr + 3;
        if ((x >> i) & 1) {
            fill_bad(ans, (curr + 3) & (~(1 << 11)));
            curr = (curr + 3) | (1 << 11);
        }
        else {
            fill_bad(ans, (curr + 3) | (1 << 11));
            curr = (curr + 3) & (~(1 << 11));
        }
    }
    ans[curr] = 2 * 16;
    ans[curr + 1] = (n - 1) * 16;
    ans[curr + 2] = (n - 1);
    for (int i = 0; i < n - 1; ++i) {
        cout << hex << std::setw(4) << std::setfill('0') << ans[i] << "\n";
    }
    cout << "\n";
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
#ifdef LC
    freopen("/Users/Iurii.Zaitsev/TUM/ICPC/y1/nerc_test/input.txt", "r", stdin);
    freopen("/Users/Iurii.Zaitsev/TUM/ICPC/y1/nerc_test/output.txt", "w", stdout);

#endif
    int t = 1;
    // cin >> t;
    for (int tt =0; tt < t; tt++) {
        solve();
    }

    return 0;
}
