#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;
//#define int long long

#define all(v) (v).begin(), (v).end()
#define db(x) cerr << #x << " = " << x << '\n'
#define mp make_pair
#define eb emplace_back
#define pb push_back
#define sz(v) (int)((v).size())
#define pw(x) (1LL << (int)(x))
#define fr(i, a, b) for (int i = (a); i <= (b); ++i)
#define fe(x, y) for(auto &x : y)

mt19937_64  rng(566);

ll rnd(ll l, ll r) {
    return rng() % (r - l + 1) + l;
}

template <typename T>
bool umn(T &a, T b) {
    return a > b ? a = b, 1 : 0;
}

template <typename T>
bool umx(T &a, T b) {
    return a < b ? a = b, 1 : 0;
}

template <typename T>
using ve = vector<T>;

const ld eps = 1e-8;
const ll mod = 1e9 + 7;
const int inf0 = 1e9 + 10;
const ll inf = 2e18 + 10;

void solve();

signed main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);
#ifdef LC
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    int t = 1;
//    cin >> t;
    while (t--) {
        solve();
    }
    return 0;
}

ll CheckNumber (string S, int pos) {
    ll x = 0;

//    if (!isdigit(S[pos]))
//        return -1;

    if (S[pos] == '0' && (pos == S.size() - 1 || !isdigit(S[pos+1])))
        return 0;

    if (S[pos] == '0')
        return -1;

    int cnt_digits = 0;
    while (pos < S.size() && isdigit(S[pos])) {
        x = x * 10LL + 1LL * (S[pos] - '0');
        cnt_digits ++;
        ++ pos;
    }

    if (cnt_digits > 10 || cnt_digits == 0) return -1;

    return x;
}

bool CheckCorrectEquation (string S) {
    int start = 0;

    while (start < S.size()) {
        if (CheckNumber(S, start) == -1) return false;
        for (; start < S.size() && isdigit(S[start]); ++ start );

        if (start == S.size()) break;

        if (start == S.size() - 1)
            return false;

        if (!isdigit(S[start]) && !isdigit(S[start+1])) return false;

        ++ start;
    }

    return true;
}

bool SeeAnswer (string S) {
    int index_eq = -1;

    for (int i = 0; i < S.size(); ++ i )
        if (S[i] == '=') {
            index_eq = i;
            break;
        }
    int start = 0;
    ll Left = 0, Right = 0;
    ll sgn = 1;

    while (start < index_eq) {
        Left += sgn * CheckNumber(S, start);
        for (; start < S.size() && isdigit(S[start]); ++ start );

        if (start == index_eq) break;

        if (S[start] == '+') sgn = 1;
        if (S[start] == '-') sgn = -1;

        ++ start;
    }

    sgn = 1;
    ++ start;
    while (start < S.size()) {
        Right += sgn * CheckNumber(S, start);
        for (; start < S.size() && isdigit(S[start]); ++ start );

        if (start == index_eq) break;

        if (S[start] == '+') sgn = 1;
        if (S[start] == '-') sgn = -1;

        ++ start;
    }

    return (Left == Right);
}

string S;

void solve() {
    cin >> S;

    if (SeeAnswer(S)) {
        cout << "Correct\n";
        return;
    }

    for (int i = 0; i < S.size(); ++ i ) {
        if (!isdigit(S[i])) continue;

        for (int j = 0; j <= S.size(); ++ j ) {
            string new_S;

            for (int k = 0; k < S.size(); ++ k ) {
                if (k == j) new_S.push_back(S[i]);

                if (k == i) continue;

                new_S.push_back(S[k]);
            }

            if (j == S.size()) new_S.push_back(S[i]);

//            cout << "i = " << i << " j = " << j << ": " << new_S << '\n';

            if (CheckCorrectEquation(new_S) && SeeAnswer(new_S)) {
                cout << new_S << '\n';
                return;
            }
        }
    }

    cout << "Impossible\n";
}