#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;

typedef long long ll;

vector<ll> f;
int nf = 0;

ll MAX = 1e6;
int MAXSUMN = 200000;

void init_f() {
    f.push_back(1);
    f.push_back(1);
    nf = 2;
    while (true) {
        ll nxt = f[nf - 1] + f[nf - 2];
        if (nxt > MAX) {
            break;
        }
        f.push_back(nxt);
        ++nf;
    }
}

pair<int, int> min_params(ll x) {
    vector<pair<ll, int>> fp;
    for (int i = 0; i < nf; ++i) {
        if (f[i] == 1 || f[i] == 2 || f[i] == 3 || f[i] == 8 || f[i] == 144) {
            fp.push_back({f[i], i});
        }
    }
    for (int i = 0; i < nf; ++i) {
        if (f[i] != 1 && f[i] != 2 && f[i] != 3 && f[i] != 8 && f[i] != 144) {
            fp.push_back({f[i], i});
        }
    }
    
    vector<int> div;
    for (int i = nf - 1; i >= 0; --i) {
        while (x > 1 && fp[i].first > 1 && x % fp[i].first == 0) {
            div.push_back(fp[i].second);
            x /= fp[i].first;
        }
    }
    int n = -1;
    int m = -2;
    for (int i : div) {
        x /= f[i];
        n += i + 1;
        m += 2;
    }
    if (m < 0) {
        n = 0;
        m = 0;
    }
    return {n, m};
}

vector<ll> gen_all_fib(ll maxf) {
    vector<ll> fib;
    set<ll> possible;
    possible.insert(1);
    auto cur = possible.find(1);
    while (cur != possible.end()) {
        for (int i = 0; f[i] <= maxf / (*cur) && i < nf; ++i) {
            possible.insert(f[i] * (*cur));
        }
        ++cur;
    }
    for (auto fb : possible) {
        fib.push_back(fb);
    }
    return fib;
}