#include "fibonacci.h"

int main(int argc, char** argv) {
    registerGen(argc, argv, 1);
	int t = opt<int>("maxt");
    int maxn = opt<int>("maxn");

    int sz = 0;
    int sumn = 0;

    init_f();

    vector<tuple<int, int, ll>> q;

    for (int i = 0; i < nf; ++i) {
        for (int n = max(1, i - 2); n <= i + 3; ++n) {
            for (int m = 1; m <= min(8, 2 * n - 1); ++m) {
                if (m % 2 == 1 && rnd.next(0, 1)) {
                    continue;
                }
                if (sz < t && sumn + n <= MAXSUMN) {
                    q.push_back({n, m, f[i]});
                    ++sz;
                    sumn += n;
                }
            }
        }
        for (int j = 0; j < 15; ++j) {
            int n = rnd.next(1, maxn);
            int m = rnd.next(1, 2 * n - 1);
            if (m % 2 == 1 && rnd.next(0, 1)) {
                continue;
            }
            if (sz < t && sumn + n <= MAXSUMN) {
                q.push_back({n, m, f[i]});
                ++sz;
                sumn += n;
            }
        }
    }

    cout << sz << "\n";
    for (auto [ni, mi, ki] : q) {
        cout << ni << " " << mi << " " << ki << "\n";
    }
    return 0;
}