#include "fibonacci.h"

int main(int argc, char** argv) {
    registerGen(argc, argv, 1);
	int t = opt<int>("maxt");
    int maxn = opt<int>("maxn");

    int sz = 0;
    int sumn = 0;

    vector<tuple<int, int, ll>> q;

    bool flag = true;
    for (int n = 1; n <= 30; ++n) {
        for (int m = 1; m <= 2 * n - 1; ++m) {
            int k = 0;
            if (sz < t && sumn + n <= MAXSUMN) {
                q.push_back({n, m, k});
                ++sz;
                sumn += n;
            } else {
                flag = false;
                break;
            }
        }
        if (!flag) {
            break;
        }
    }

    while (true) {
        int n = rnd.next(31, maxn);
        int m = rnd.next(1, 2 * n - 1);
        int k = 0;
        if (sz < t && sumn + n <= MAXSUMN) {
            q.push_back({n, m, k});
            ++sz;
            sumn += n;
        } else {
            flag = false;
            break;
        }
    }

    cout << sz << "\n";
    for (auto [ni, mi, ki] : q) {
        cout << ni << " " << mi << " " << ki << "\n";
    }
    return 0;
}