#include <iostream>
#include <vector>
#include <unordered_map>
#include <functional>
#include <algorithm>



int main() {
    int t;
    std::cin >> t;
    while (t--) {
        int n;
        std::vector<std::string> board(2);
        std::cin >> n >> board[0] >> board[1];

        bool unique = true;
        bool exists = true;


        for (int i = 0; i < n - 1; ++i) {
            if (board[0][i] == '.' && board[1][i] == '.') {
                if (board[0][i + 1] == '.' && board[1][i + 1] == '.') {
                    unique = false;
                }
            }
            if (board[0][i] == '.' && board[1][i] == '#') {
                if (board[0][i + 1] == '#') {
                    exists = false;
                }
                board[0][i + 1] = '#';
            }
            if (board[0][i] == '#' && board[1][i] == '.') {
                if (board[1][i + 1] == '#') {
                    exists = false;
                }
                board[1][i + 1] = '#';
            }
        }
        if (board[0][n - 1] != board[1][n - 1]) {
            exists = false;
        }

        if (!exists) {
            std::cout << "None" << std::endl;
        } else {
            if (unique) {
                std::cout << "Unique" << std::endl;
            } else {
                std::cout << "Multiple" << std::endl;
            }
        }
    }
}
