#include <bits/stdc++.h>
using namespace std;

#define int int64_t

vector<int> get_cyc(int x, int d, int len) {
    vector<int> ans;
    int x0 = x, d0 = d;
    do {
        if (x == len) d = -1;
        if (x == 0) d = 1;
        ans.push_back(x);
        x += d;
    } while (x != x0 || d != d0);
    return ans;
}

bool is_inter(int l1, int r1, int l2, int r2) {
    /// cerr << l1 << " " << r1 << " " << l2 << " " << r2 << endl;
    return max(l1, l2) < min(r1, r2);
}

vector<int> get_inter(array<vector<int>, 2> cyc, array<int, 2> l) {
    int Mx = cyc[0].size() * cyc[1].size() / gcd(cyc[0].size(), cyc[1].size());
    vector<int> ans(Mx);
    for (int i = 0; i < Mx; ++i) {
        int l0 = cyc[0][i % cyc[0].size()];
        int l1 = cyc[1][i % cyc[1].size()];
        ans[i] = is_inter(l0, l0 + l[0], l1, l1 + l[1]);
    }
    return ans;
}

void solve_() {
    int W, H;
    cin >> W >> H;
    array<vector<int>, 2> cycx, cycy;
    array<int, 2> lx, ly;
    for (int i = 0; i < 2; ++i) {
        int w, h, x, y, dx, dy;
        cin >> w >> h >> x >> y >> dx >> dy;
        lx[i] = w;
        ly[i] = h;
        cycx[i] = get_cyc(x, dx, W - w);
        cycy[i] = get_cyc(y, dy, H - h);
        /**cerr << "cycy: ";
        for (int y : cycy[i]) {
            cerr << y << " ";
        }
        cerr << endl;*/
    }
    vector<int> ansx = get_inter(cycx, lx);
    vector<int> ansy = get_inter(cycy, ly);
    /**for (int x : ansx) {
        cerr << x << " ";
    }
    cerr << endl;
    for (int x : ansy) {
        cerr << x << " ";
    }
    cerr << endl;*/
    int Mx = ansx.size();
    int My = ansy.size();
    int64_t num = 0;
    int d = gcd(Mx, My);
    vector<int> cx(d, 0), cy(d, 0);
    for (int i = 0; i < Mx; ++i) {
        cx[i % d] += ansx[i];
    }
    for (int i = 0; i < My; ++i) {
        cy[i % d] += ansy[i];
    }
    for (int i = 0; i < d; ++i) {
        num += cx[i] * 1ll * cy[i];
    }
    int64_t denom = Mx * 1ll * (My / d);
    int64_t g = gcd(num, denom);
    num /= g;
    denom /= g;
    cout << num << "/" << denom << "\n";
}

#define MULTITEST

signed main() {
#ifdef LOCAL
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#else
    ios_base::sync_with_stdio(false);
    cin.tie(0);
#endif
    int tst = 1;
#ifdef MULTITEST
    cin >> tst;
#endif // MULTITEST
    while (tst--) {
        solve_();
    }
    return 0;
}