#include <bits/stdc++.h>
#pragma GCC optimize ("O3", "unroll-all-loops")
#pragma GCC target ("sse4.2")

using namespace std;

#define F first
#define S second
#define all(a) (a).begin(), (a).end()
#define rall(a) (a).rbegin(), (a).rend()
#define sz(a) (a).size()
#define rep(i, a, b) for (int i = (a); i < (b); ++i)
typedef long long       ll;
typedef long double     ld;
typedef pair<ll, ll>   pll; 
typedef pair<int, int> pii; 

typedef vector<int> vi; 
typedef vector<ll> vll; 

const long long kk = 1000;
const long long ml = kk * kk;
const long long mod = ml * kk + 7;
const long long inf = ml * ml * ml + 7; 

template<class T, class U> inline istream& operator>>(istream& str, pair<T, U> &p) { return str >> p.F >> p.S; }
template<class T, class U> inline ostream& operator<<(ostream& str, const pair<T, U> &p) { str << p.F << ' ' << p.S << ' '; return str; }
template<class T> inline istream& operator>>(istream& str, vector<T> &a) { for (auto &i : a) str >> i; return str; }
template<class T> inline ostream& operator<<(ostream& str, const vector<T> &a) { for (auto &i : a) str << i << ' '; return str; }

void flush() { cout << flush; }
void flushln() { cout << endl; }
template<class T> void read(T &x) { cin >> x; }
template<class T, class ...U> void read(T &x, U&... u) { read(x); read(u...); }
template<class T> void print(const T &x) { cout << x; }
template<class T, class ...U> void print(const T &x, const U&... u) { print(x); print(u...); }
template<class ...T> void println(const T&... u) { print(u..., '\n'); }
template<class T> void eprint(const T &x) { cerr << x; }
template<class T, class ...U> void eprint(const T &x, const U&... u) { eprint(x); eprint(u...); }
template<class ...T> void eprintln(const T&... u) { eprint(u..., '\n'); }

#ifdef DEBUG
    mt19937 rng(1033);
#else
    mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());    
    #define cerr if(false)cerr
    #define eprintln if(false)eprintln
    #define eprint if(false)eprint
#endif
int rnd(int mod) { return uniform_int_distribution<int>(0, mod - 1)(rng); }




int n;
vector<int> v;
vector<vector<int>> e, re;

void no() {
    cout << "-1\n";
    return;
}

void DFS(int v, vector<vector<int>> &e, vector<bool> &used) {
    used[v] = true;
    for (auto u : e[v])
        if (!used[u])
            DFS(u, e, used);
}

vector<int> c;
vector<int> ts;
void DFS2(int v) {
    c[v] = 1;
    for (auto u : e[v])
        if (c[u] == -1)
            DFS2(u);
    ts.push_back(v);
}

void solve() {
    cin >> n;
    v.resize(n);
    for (int i = 0; i < n; i++) {
        string tp, tr;
        cin >> tp >> tr;
        if (tp[0] == 'u') 
            v[i] = tr[0] == 't' ? 3 : 0;
        else
            v[i] = tr[0] == 't' ? 1 : 2;
        cerr << "v[i] = " << v[i] << endl;
    }
    auto iv = v;

    vector<int> tp[4];
    for (int i = 0; i < n; i++)
        tp[v[i]].push_back(i);

    int m;
    cin >> m;
    e.assign(n, {});
    re.assign(n, {});
    for (int i = 0; i < m; i++) {
        int a, b;
        cin >> a >> b;
        a--, b--;
        e[a].push_back(b);
        re[b].push_back(a);
    }

    if (tp[1].size() > 1 || tp[3].size() > 1 || tp[3].size() && !tp[1].size()) {
        no();
        return;
    }

    int st = tp[1].size() ? tp[1][0] : -1;
    int ut = tp[3].size() ? tp[3][0] : -1;

    for (auto i : tp[2]) {
        if (st != -1)
            e[st].push_back(i);
        if (ut != -1)
            e[i].push_back(ut);
    }
    if (st != -1 && ut != -1)
        e[st].push_back(ut);


    vector<bool> used;
    used.assign(n, false);
    for (int i = 0; i < n; i++)
        if (v[i] && !used[i])
            DFS(i, e, used);

    for (int i = 0; i < n; i++)
        if (used[i] && v[i] == 0) {
            if (st != -1)
                e[st].push_back(i);
            if (ut != -1)
                e[ut].push_back(i);

            v[i] = 3;
        }

    used.assign(n, false);
    for (int i = 0; i < n; i++)
        if (v[i] && v[i] != 3 && !used[i])
            DFS(i, re, used);

    for (int i = 0; i < n; i++)
        if (used[i] && v[i] == 0) {
            if (st != -1)
                e[i].push_back(st);
            if (ut != -1)
                e[i].push_back(ut);
            v[i] = -1;
        }

    for (auto &i : v)
        if (i == 0)
            i = -2;

    vector<int> ind(n, 0);
    iota(ind.begin(), ind.end(), 0);
    sort(ind.begin(), ind.end(), [](int a, int b) {
        return v[a] > v[b];
    });

    c.assign(n, -1);
    ts.clear();
    for (auto i : ind)
        if (c[i] == -1)
            DFS2(i);
    reverse(ts.begin(), ts.end());

    vector<int> ord(n);
    for (int i = 0; i < n; i++)
        ord[ts[i]] = i;

    // for (auto i : ts)
    //     cout << i + 1 << ' ';
    // cout << '\n';

    for (int i = 0; i < n; i++) {
        for (auto u : e[i])
            if (ord[i] > ord[u]) {
                cerr << "bad edge " << i << " -> " << u << " " << endl;
                no();
                return;
            }
    }

    vector<int> claim;
    for (auto i : ts)
        claim.push_back(iv[i] & 1);

    vector<int> got;
    int cur = 0;
    for (auto i : ts) {
        int ncur = (iv[i] == 1 || iv[i] == 2);
        got.push_back(ncur != cur);
        cur = ncur;
        cerr << "cur = " << cur << endl;
    }

    for (int i = 0; i < n; i++) {
        cerr << "See " << claim[i] << " <> " << got[i] << endl;
        if (claim[i] != got[i]) {
            cerr << "Broke at " << i << endl;
            no();
            return;
        }
    }

    for (auto i : ts)
        cout << i + 1 << ' ';
    cout << '\n';
}

int main() {
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    cout << fixed << setprecision(20);
    int t = 1; 
    // cin >> t;
    while (t--)
        solve();

    #ifdef DEBUG
        cerr << "Runtime is: " << clock() * 1.0 / CLOCKS_PER_SEC << endl;
    #endif
}
