#include <bits/stdc++.h>
using namespace std;
#define int int64_t

int to_int(const string& s) {
    int res = 0;
    for (char ch : s) {
        res = res * 10 + (ch - '0');
    }
    return res;
}

void solve_() {
    string s;
    cin >> s;
    s.push_back('+');
    vector<array<int, 2>> arr;
    vector<string> pref = {""};
    int tp = 1;
    int sgn = 1;
    int num = 0;
    for (char ch : s) {
        if (ch >= '0' && ch <= '9') {
            num = num * 10 + (ch - '0');
        } else {
            pref.push_back(string(1, ch));
            arr.push_back({sgn * tp, num});
            num = 0;
            if (ch == '=') {
                tp = -1;
                sgn = 1;
            } else if (ch == '+') {
                sgn = 1;
            } else {
                sgn = -1;
            }
        }
    }
    int sum = 0;
    for (auto elem : arr) {
        sum += elem[0] * elem[1];
    }
    if (sum == 0) {
        cout << "Correct\n";
        return;
    }

    auto print = [&]() {
        for (int i = 0; i < (int)arr.size(); ++i) {
            cout << pref[i] << arr[i][1];
        }
        cout << "\n";
    };

    vector<map<int, array<int, 2>>> del(10), add(10);
    for (int pos = 0; pos < (int)arr.size(); ++pos) {
        array<int, 2>& elem = arr[pos];
        string s = to_string(elem[1]);
        int len = s.size();
        for (int i = 0; i < len; ++i) {
            string t;
            for (int j = 0; j < len; ++j) {
                if (j != i) {
                    t.push_back(s[j]);
                }
            }
            for (int j = 0; j < len; ++j) {
                string k;
                for (int p = 0; p < j; ++p) {
                    k.push_back(t[p]);
                }
                k.push_back(s[i]);
                for (int p = j; p < len - 1; ++p) {
                    k.push_back(t[p]);
                }
                if (k[0] == '0' && k.size() > 1) {
                    continue;
                }
                if (sum - elem[0] * elem[1] + elem[0] * to_int(k) == 0) {
                    elem[1] = to_int(k);
                    print();
                    return;
                }
            }
            if (!t.empty() && !(t.size() >= 2 && t[0] == '0')) {
                int change = elem[0] * (to_int(t) - elem[1]);
                int d = s[i] - '0';
                if (add[d].count(-change - sum)) {
                    auto res = add[d][-change - sum];
                    if (res[0] != pos) {
                        arr[res[0]][1] = res[1];
                        elem[1] = to_int(t);
                        print();
                        return;
                    }
                }
                if (!del[d].count(change)) {
                    del[d][change] = {pos, to_int(t)};
                }
            }
        }
        if (len == 10) continue;
        for (int d = 0; d < 10; ++d) {
            for (int i = 0; i <= len; ++i) {
                string t;
                for (int j = 0; j < i; ++j) {
                    t.push_back(s[j]);
                }
                t.push_back('0' + d);
                for (int j = i; j < len; ++j) {
                    t.push_back(s[j]);
                }
                if (t[0] == '0') continue;
                int change = elem[0] * (to_int(t) - elem[1]);
                if (del[d].count(-change - sum)) {
                    auto res = del[d][-change - sum];
                    if (res[0] != pos) {
                        arr[res[0]][1] = res[1];
                        elem[1] = to_int(t);
                        print();
                        return;
                    }
                }
                if (!add[d].count(change)) {
                    add[d][change] = {pos, to_int(t)};
                }
            }
        }
    }
    cout << "Impossible\n";
}

/// #define MULTITEST

signed main() {
#ifdef LOCAL
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#else
    ios_base::sync_with_stdio(false);
    cin.tie(0);
#endif
    int tst = 1;
#ifdef MULTITEST
    cin >> tst;
#endif // MULTITEST
    while (tst--) {
        solve_();
    }
    return 0;
}