#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

int main(int argc, char* argv[]) {
  registerGen(argc, argv, 1);

  int t = opt<int>("t");
  int max_n = opt<int>("max_n");

  vector<vector<string>> tests;
  int sum = 0;
  for (int n = 1; sum + n <= max_n && int(tests.size()) < t; n++) {
    for (int mask = 0; mask < (1 << (2 * n)); mask++) {
      if (sum + n > max_n || int(tests.size()) == t) {
        break;
      }
      vector<string> s(2);
      for (int i = 0; i < 2; i++) {
        for (int j = 0; j < n; j++) {
          s[i] += ((mask >> (i * n + j)) & 1) ? '.' : '#';
        }
      }
      tests.push_back(s);
    }
  }
  shuffle(tests.begin(), tests.end());
  cout << tests.size() << '\n';
  for (auto& test : tests) {
    cout << test[0].size() << '\n';
    cout << test[0] << '\n';
    cout << test[1] << '\n';
  }
  return 0;
}