#include "fibonacci.h"

int main(int argc, char** argv) {
    registerGen(argc, argv, 1);
    int t = opt<int>("maxt");
    int id = opt<int>("id");

    int n = 1;
    int mask = 0;
    vector<pair<int, int>> q;
    int sz = 0;
    while (id--) {
        q.clear();
        sz = 0;
        int sumn = 0;
        while (sumn + n <= MAXSUMN && sz < t) {
            q.push_back({n, mask});
            ++sz;
            sumn += n;
            ++mask;
            if (mask == (1 << (2 *n))) {
                mask = 0;
                ++n;
            }
        }
    }
    cout << sz << "\n";
    for (auto [n, mask] : q) {
        cout << n << "\n";
        for (int i = 0; i < n; ++i) {
            if ((mask >> i) & 1) {
                cout << "#";
            } else {
                cout << ".";
            }
        }
        cout << "\n";
        for (int i = 0; i < n; ++i) {
            if ((mask >> (i + n)) & 1) {
                cout << "#";
            } else {
                cout << ".";
            }
        }
        cout << "\n";
    }
    return 0;
}