#include <bits/stdc++.h>
 
using namespace std;
#define ll long long
#define pii pair<int, int>
#define ld long double
#define all(a) (a).begin(), (a).end()
 
int t;
 
int send(long long new_block) {

    cout << new_block << endl;
    int res = -1;

    cin >> res;

    if (res == -1 || res == 3) exit(0);

    return res;
}
 
struct Segment {
    ll l, r;
    ld p;
    Segment() {}
    Segment(ll l, ll r, ld p) : l(l), r(r), p(p) {}
};
 
bool operator<(Segment lhs, Segment rhs) {
    return lhs.p > rhs.p;
}
 
void norm(vector<Segment>& segs) {
    ld sum_p = 0;
    for (auto s : segs) {
        sum_p += s.p;
    }
    for (auto& s : segs) {
        s.p /= sum_p;
    }
}
 
void solve(ll n) {
    vector<Segment> segs = {Segment(1, n, 1)};
 
    while (true) {
        vector<Segment> new_segs;
        bool done = false;
        ld pw2 = 1;
 
        for (auto s : segs) {
            ll m = (s.l + s.r) / 2;
 
            new_segs.push_back(Segment(s.l, m - 1, s.p * pw2));  // may be empty
            new_segs.push_back(Segment(m + 1, s.r, s.p * pw2));
            pw2 *= 2;
 
            int status = send(m);
 
            if (status == 2) {
                return;
            } else if (status == 1) {
                done = true;
                break;
            }
        }
 
        while (!done) {
            done = (send(0) == 1);
        }
 
        segs = new_segs;
        sort(all(segs));
    }
}
 
signed main() {
    // ios_base::sync_with_stdio(0);
    // cin.tie(0);
    // cout.tie(0);
    ll n;
    cin >> n;
    cin >> t;

    while (true) {
        solve(n);
    }

    return 0;
}
