#include "testlib.h"

const int MAX_N = 400'000;
const int MAX_M = 400'000;
const int MAX_T = 1'000'000;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int32_t n = inf.readInt(2, MAX_N, "n");
    inf.readSpace();
    int32_t m = inf.readInt(0, MAX_M, "m");
    inf.readEoln();
    for (int32_t edge_index = 1; edge_index <= m; ++edge_index) {
        inf.readInt(1, n, std::format("u[{}]", edge_index));
        inf.readSpace();
        inf.readInt(1, n, std::format("v[{}]", edge_index));
        inf.readSpace();
        inf.readInt(1, MAX_T, std::format("t[{}]", edge_index));
        inf.readEoln();
    }
    inf.readEof();
}
