fun main() {
    repeat(readln().toInt()) {
        val (n, m, q) = readln().split(" ").map { it.toInt() }
        val a = readln().split(" ").map { it.toLong() }
        val d = readln().split(" ").map { it.toLong() }
        val l = readln().split(" ").map { it.toLong() }
        val t = readln().split(" ").map { it.toLong() }
        check(a.size == n)
        check(d.size == n)
        check(l.size == m)
        check(t.size == q)
        val taskOrder = (0..<n).sortedBy { d[it] }
        val sa = LongArray(n + 1)
        for (i in 0..<n) {
            sa[i + 1] = sa[i] + a[taskOrder[i]]
        }
        val dmax = LongArray(n + 1)
        dmax[n] = Long.MAX_VALUE
        for (i in n - 1 downTo 0) {
            dmax[i] = minOf(dmax[i + 1], d[taskOrder[i]] - sa[i + 1])
        }
        check(dmax[0] >= 0)
        fun countFit(dcur: Long): Int {
            var lt = 0
            var rt = n + 1
            while (lt < rt - 1) {
                val mid = (lt + rt) / 2
                if (sa[mid] <= dcur) {
                    lt = mid
                } else {
                    rt = mid
                }
            }
            return lt
        }
        val sl = LongArray(m + 1)
        for (i in 0..<m) {
            sl[i + 1] = sl[i] + l[i]
        }
        val ans = IntArray(q) {
            val tq = t[it]
            var lt = 0
            var rt = m + 1
            while (lt < rt - 1) {
                val mid = (lt + rt) / 2
                val sm = sl[mid]
                var ok = false
                if (tq >= sm) {
                    val nfit = countFit(tq - sm)
                    ok = dmax[nfit] >= sm
                }
                if (ok) {
                    lt = mid
                } else {
                    rt = mid
                }
            }
            lt
        }
        println(ans.joinToString(" "))
    }
}