#include <bits/stdc++.h>

using namespace std;

int n;
vector<int> a;
vector<vector<int>> v, g;
vector<pair<int, int>> mat;
vector<bool> used;
vector<int> cyc, xr;

bool dfs(int p, int ls) {
    int to = -1;
    for (int i : v[p]) {
        if (i != ls) {
            if (dfs(i, p) && to == -1) {
                to = i;
            }
        }
    }
    if (to != -1) {
        mat.emplace_back(p, to);
        return false;
    }
    return true;
}

void dfs_cyc(int p) {
    used[p] = true;
    for (int edge : g[p]) {
        int i = p ^ a[mat[edge].first] ^ a[mat[edge].second];
        if (!used[i]) {
            cyc.emplace_back(mat[edge].first);
            cyc.emplace_back(mat[edge].second);
            if (a[cyc.back()] == p) {
                swap(cyc.back(), cyc[(int)cyc.size() - 2]);
            }
            dfs_cyc(i);
        }
    }
}

void solve() {
    v.clear();
    g.clear();
    mat.clear();
    cin >> n;
    a.resize(2 * n);
    xr.assign(n, false);
    for (int i = 0; i < 2 * n; i++) {
        cin >> a[i];
        a[i]--;
        xr[a[i]] ^= i;
    }
    v.resize(2 * n);
    for (int i = 0; i < 2 * n - 1; i++) {
        int s, f;
        cin >> s >> f;
        s--, f--;
        v[s].emplace_back(f);
        v[f].emplace_back(s);
    }
    dfs(0, -1);
    g.resize(n);
    int it = 0;
    for (auto [i, j] : mat) {
        if (a[i] != a[j]) {
            g[a[i]].emplace_back(it);
            g[a[j]].emplace_back(it);
        }
        it++;
    }
    used.assign(n, false);
    vector<pair<int, int>> ans;
    for (int d = 1; d <= 2; d++) {
        for (int i = 0; i < n; i++) {
            if (g[i].size() == d && !used[i]) {
                cyc.clear();
                dfs_cyc(i);
                cyc.emplace_back(cyc.back() ^ xr[a[cyc.back()]]);
                cyc.emplace_back(cyc[0] ^ xr[a[cyc[0]]]);
                for (int j = 0; j < ((int)cyc.size() / 2) - 1; j++) {
                    ans.emplace_back(cyc[j], cyc[(int)cyc.size() - j - 2]);
                }
            }
        }
    }
    cout << ans.size() << "\n";
    for (auto [i, j] : ans) {
        cout << i + 1 << " " << j + 1 << "\n";
    }
}

int main() {
#ifdef ONPC
    freopen("input", "r", stdin);
#endif
    ios::sync_with_stdio(0);

    int t;
    cin >> t;
    while (t--) {
        solve();
    }

    return 0;
}